Haberler

Son Günlerde Ortaya Çıkan “Sudo” Hatası MacOS’u da Etkiliyor

Son günlerde ortaya çıkan bir “Sudo” hatası, saldırganların kök düzeyinde bir hesaba erişmelerini sağlamak için yerel bir sisteme erişmelerine olanak sağlıyor.

İngiliz bir siber güvenlik uzmanı Sudo uygulamasındaki güvenlik açığının, başlangıçta sanılanın aksine sadece Linux’u değil, macOS işletim sistemini de etkilediğini keşfetti.

Qualys’in güvenlik araştırmacıları tarafından geçen hafta CVE-2021-3156 (diğer adıyla Baron Samedit) olarak açıklanan güvenlik açığı, yöneticilerin diğer kullanıcılara sınırlı kök erişimi yetkisi vermesine olanak tanıyan bir uygulama olan Sudo’yu etkiliyor.

Qualys araştırmacıları, Sudo uygulamasında mevcut kullanıcının düşük ayrıcalıklı erişimini kök düzeyindeki komutlara değiştirmek için bir “yığın taşması” hatasını tetikleyerek saldırganın tüm sisteme erişimini sağladığını keşfettiler.

Bu hatadan yararlanmanın tek koşulu, bir saldırganın bir sisteme erişim kazanmasıydı. Araştırmacılar bunun, bir cihaza kötü amaçlı yazılım yerleştirerek veya düşük ayrıcalıklı bir hizmet hesabına kaba-kuvvet saldırısı ile giriş yapılabileceğini söylediler.

Qualys araştırmacıları geçen haftaki raporlarında hatayı yalnızca Ubuntu, Debian ve Fedora’da test ettiklerini söylemişlerdi. UNIX benzeri işletim sistemlerinin de etkilendiğini söylediler ancak çoğu güvenlik araştırmacısı, hatanın Sudo uygulamasıyla birlikte gelen başka bir büyük işletim sistemi olan BSD’yi (Berkeley Yazılım Dağıtımı) etkileyebileceğini düşünüyor

MacOS’un son sürümü de söz konusu hatadan etkileniyor

Hacker House’un kurucu ortağı Matthew Hickey’in bugün Twitter’da belirttiği gibi, macOS’un son sürümü de Sudo uygulamasıyla birlikte geliyor.

Hickey, CVE-2021-3156 güvenlik açığını test ettiğini ve birkaç değişiklikle güvenlik hatasının saldırganlara macOS kök hesaplarına erişim sağlamak için de kullanılabileceğini söyledi.

Hickey söz konusu açık hakkında şunları söyledi: “Bunu tetiklemek için, argv [0] ‘ın üzerine yazmanız veya bir sembolik bağ oluşturmanız gerekir, bu nedenle işletim sistemini, Linux kullanıcılarını geçen hafta ya da daha sonra rahatsız eden aynı yerel kök güvenlik açığına maruz bırakır.”

Hickey’nin bulguları, günümüzün önde gelen macOS güvenlik uzmanlarından Patrick Wardle ve Carnegie Mellon Üniversitesi CERT Koordinasyon Merkezi’nde güvenlik açığı analisti Will Dormann tarafından da doğrulandı ve onaylandı.

Hickey yaptığı açıklamada, Apple’ın Pazartesi günü piyasaya sürdüğü son güvenlik yamalarını uyguladıktan sonra bile, macOS’un son sürümünde bu hatadan yararlanılabileceğini söyledi.

Uzmanlar, bugün erken saatlerde sorunu Apple’a bildirdi. Apple yetkilileri, raporu araştırırken konu ile ilgili henüz bir açıklama yapmadı. Ancak, teknoloji devinin bu kadar ciddi bir sorun için bir yama çıkarması bekleniyor.

Ek olarak, diğer araştırmacılar, hatanın IBM AIX sistemlerini de etkileyebileceğini keşfetti.

Kaynak: zdnet.com

Bunlar da İlginizi Çekebilir

VMware ESXi’da Kritik Zafiyet “Diskler Şifrelenebiliyor”
Jeff Bezos, Amazon CEO Görevini Bırakıyor
Apple macOS Big Sur 11.2 Güncellemesini Yayınladı

Bir cevap yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir

Başa dön tuşu

Reklam Engelleyici Algılandı

ÇözümPark Bilişim Portalı gönüllü bir organizasyon olup tek gelir kaynağı reklamlardır. Bu nedenle siteyi gezerken lütfen reklam engelleme eklentinizi kapatın veya Çözümpark web sitesi için izin tanımı yapın. Anlayışınız için teşekkürler.